local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	local digest = function(value)
		return Application:digest_value(value, true)
	end
	
	self.skills = {}
	self.skills.black_marketeer = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_black_marketeer_beta",
		desc_id = "menu_black_marketeer_beta_desc",
		icon_xy = {
			2,
			10
		}
	}
	self.skills.gun_fighter = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_gun_fighter_beta",
		desc_id = "menu_gun_fighter_beta_desc",
		icon_xy = {
			7,
			11
		}
	}
	self.skills.combat_medic = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_combat_medic_beta",
		desc_id = "menu_combat_medic_beta_desc",
		icon_xy = {
			5,
			7
		}
	}
	self.skills.control_freak = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_control_freak_beta",
		desc_id = "menu_control_freak_beta_desc",
		icon_xy = {
			1,
			10
		}
	}
	self.skills.leadership = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_leadership_beta",
		desc_id = "menu_leadership_beta_desc",
		icon_xy = {
			7,
			7
		}
	}
	self.skills.inside_man = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_inside_man_beta",
		desc_id = "menu_inside_man_beta_desc",
		icon_xy = {
			6,
			7
		}
	}
	self.skills.target_mark = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			cost = self.costs.pro
		},
		name_id = "menu_target_mark_beta",
		desc_id = "menu_target_mark_beta_desc",
		icon_xy = {
			3,
			7
		}
	}
	self.skills.dominator = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_dominator_beta",
		desc_id = "menu_dominator_beta_desc",
		icon_xy = {
			2,
			8
		}
	}
	self.skills.fast_learner = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_fast_learner_beta",
		desc_id = "menu_fast_learner_beta_desc",
		icon_xy = {
			0,
			10
		}
	}
	self.skills.stockholm_syndrome = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_stockholm_syndrome_beta",
		desc_id = "menu_stockholm_syndrome_beta_desc",
		icon_xy = {
			3,
			8
		}
	}
	self.skills.cable_guy = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_cable_guy_beta",
		desc_id = "menu_cable_guy_beta_desc",
		icon_xy = {
			2,
			8
		}
	}
	self.skills.tactician = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_tactician_beta",
		desc_id = "menu_tactician_beta_desc",
		icon_xy = {
			3,
			7
		}
	}
	self.skills.triathlete = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_triathlete_beta",
		desc_id = "menu_triathlete_beta_desc",
		icon_xy = {
			4,
			7
		}
	}
	self.skills.equilibrium = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_equilibrium_beta",
		desc_id = "menu_equilibrium_beta_desc",
		icon_xy = {
			3,
			9
		}
	}
	self.skills.negotiator = {
		{
			upgrades = {},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_negotiator_beta",
		desc_id = "menu_negotiator_beta_desc",
		icon_xy = {
			7,
			8
		}
	}
	self.skills.medic_2x = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_medic_2x_beta",
		desc_id = "menu_medic_2x_beta_desc",
		icon_xy = {
			5,
			8
		}
	}
	self.skills.joker = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_joker_beta",
		desc_id = "menu_joker_beta_desc",
		icon_xy = {
			6,
			8
		}
	}
	self.skills.inspire = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_inspire_beta",
		desc_id = "menu_inspire_beta_desc",
		icon_xy = {
			4,
			9
		}
	}
	self.skills.messiah = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_pistol_beta_messiah",
		desc_id = "menu_pistol_beta_messiah_desc",
		icon_xy = {
			2,
			9
		}
	}
	self.skills.ammo_reservoir = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_ammo_reservoir_beta",
		desc_id = "menu_ammo_reservoir_beta_desc",
		icon_xy = {
			4,
			5
		}
	}
	self.skills.demolition_man = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {},
			cost = self.costs.pro
		},
		name_id = "menu_demolition_man_beta",
		desc_id = "menu_demolition_man_beta_desc",
		icon_xy = {
			4,
			5
		}
	}
	self.skills.oppressor = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_oppressor_beta",
		desc_id = "menu_oppressor_beta_desc",
		icon_xy = {
			2,
			12
		}
	}
	self.skills.steroids = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_steroids_beta",
		desc_id = "menu_steroids_beta_desc",
		icon_xy = {
			1,
			3
		}
	}
	self.skills.bandoliers = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_bandoliers_beta",
		desc_id = "menu_bandoliers_beta_desc",
		icon_xy = {
			3,
			0
		}
	}
	self.skills.pack_mule = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_pack_mule_beta",
		desc_id = "menu_pack_mule_beta_desc",
		icon_xy = {
			8,
			8
		}
	}
	self.skills.shotgun_impact = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_shotgun_impact_beta",
		desc_id = "menu_shotgun_impact_beta_desc",
		icon_xy = {
			4,
			1
		}
	}
	self.skills.portable_saw = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_portable_saw_beta",
		desc_id = "menu_portable_saw_beta_desc",
		icon_xy = {
			0,
			1
		}
	}
	self.skills.tough_guy = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_tough_guy_beta",
		desc_id = "menu_tough_guy_beta_desc",
		icon_xy = {
			0,
			0
		}
	}
	self.skills.underdog = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_underdog_beta",
		desc_id = "menu_underdog_beta_desc",
		icon_xy = {
			2,
			1
		}
	}
	self.skills.juggernaut = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_juggernaut_beta",
		desc_id = "menu_juggernaut_beta_desc",
		icon_xy = {
			3,
			1
		}
	}
	self.skills.from_the_hip = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_from_the_hip_beta",
		desc_id = "menu_from_the_hip_beta_desc",
		icon_xy = {
			4,
			1
		}
	}
	self.skills.shotgun_cqb = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_shotgun_cqb_beta",
		desc_id = "menu_shotgun_cqb_beta_desc",
		icon_xy = {
			8,
			7
		}
	}
	self.skills.shades = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_shades_beta",
		desc_id = "menu_shades_beta_desc",
		icon_xy = {
			6,
			1
		}
	}
	self.skills.ammo_2x = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_ammo_2x_beta",
		desc_id = "menu_ammo_2x_beta_desc",
		icon_xy = {
			7,
			1
		}
	}
	self.skills.carbon_blade = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_carbon_blade_beta",
		desc_id = "menu_carbon_blade_beta_desc",
		icon_xy = {
			0,
			2
		}
	}
	self.skills.show_of_force = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_show_of_force_beta",
		desc_id = "menu_show_of_force_beta_desc",
		icon_xy = {
			8,
			9
		}
	}
	self.skills.wolverine = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_wolverine_beta",
		desc_id = "menu_wolverine_beta_desc",
		icon_xy = {
			2,
			2
		}
	}
	self.skills.overkill = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_overkill_beta",
		desc_id = "menu_overkill_beta_desc",
		icon_xy = {
			3,
			2
		}
	}
	self.skills.mag_plus = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_mag_plus_beta",
		desc_id = "menu_mag_plus_beta_desc",
		icon_xy = {
			2,
			0
		}
	}
	self.skills.iron_man = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_iron_man_beta",
		desc_id = "menu_iron_man_beta_desc",
		icon_xy = {
			8,
			10
		}
	}
	self.skills.rifleman = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_rifleman_beta",
		desc_id = "menu_rifleman_beta_desc",
		icon_xy = {
			6,
			5
		}
	}
	self.skills.blast_radius = {
		{
			upgrades = {},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_blast_radius_beta",
		desc_id = "menu_blast_radius_beta_desc",
		icon_xy = {
			7,
			9
		}
	}
	self.skills.insulation = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_insulation_beta",
		desc_id = "menu_insulation_beta_desc",
		icon_xy = {
			3,
			5
		}
	}
	self.skills.hardware_expert = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_hardware_expert_beta",
		desc_id = "menu_hardware_expert_beta_desc",
		icon_xy = {
			9,
			6
		}
	}
	self.skills.trip_mine_expert = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {},
			cost = self.costs.pro
		},
		name_id = "menu_trip_mine_expert_beta",
		desc_id = "menu_trip_mine_expert_beta_desc",
		icon_xy = {
			8,
			0
		}
	}
	self.skills.sharpshooter = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_sharpshooter_beta",
		desc_id = "menu_sharpshooter_beta_desc",
		icon_xy = {
			8,
			1
		}
	}
	self.skills.sentry_gun = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_sentry_gun_beta",
		desc_id = "menu_sentry_gun_beta_desc",
		icon_xy = {
			7,
			5
		}
	}
	self.skills.sentry_targeting_package = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_sentry_targeting_package_beta",
		desc_id = "menu_sentry_targeting_package_beta_desc",
		icon_xy = {
			9,
			1
		}
	}
	self.skills.sentry_2_0 = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_sentry_2_0_beta",
		desc_id = "menu_sentry_2_0_beta_desc",
		icon_xy = {
			5,
			6
		}
	}
	self.skills.drill_expert = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_drill_expert_beta",
		desc_id = "menu_drill_expert_beta_desc",
		icon_xy = {
			3,
			6
		}
	}
	self.skills.military_grade = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {},
			cost = self.costs.hightierpro
		},
		name_id = "menu_military_grade_beta",
		desc_id = "menu_military_grade_beta_desc",
		icon_xy = {
			4,
			6
		}
	}
	self.skills.dye_pack_removal = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_dye_pack_removal_beta",
		desc_id = "menu_dye_pack_removal_beta_desc",
		icon_xy = {
			0,
			6
		}
	}
	self.skills.silent_drilling = {
		{
			upgrades = {},
			cost = self.costs.hightier
		},
		{
			upgrades = {},
			cost = self.costs.hightierpro
		},
		name_id = "menu_silent_drilling_beta",
		desc_id = "menu_silent_drilling_beta_desc",
		icon_xy = {
			2,
			6
		}
	}
	self.skills.discipline = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_discipline_beta",
		desc_id = "menu_discipline_beta_desc",
		icon_xy = {
			6,
			6
		}
	}
	self.skills.trip_miner = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_trip_miner_beta",
		desc_id = "menu_trip_miner_beta_desc",
		icon_xy = {
			2,
			5
		}
	}
	self.skills.shaped_charge = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_shaped_charge_beta",
		desc_id = "menu_shaped_charge_beta_desc",
		icon_xy = {
			0,
			7
		}
	}
	self.skills.ecm_booster = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_ecm_booster_beta",
		desc_id = "menu_ecm_booster_beta_desc",
		icon_xy = {
			6,
			3
		}
	}
	self.skills.sprinter = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_sprinter_beta",
		desc_id = "menu_sprinter_beta_desc",
		icon_xy = {
			10,
			5
		}
	}
	self.skills.smg_training = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_smg_training_beta",
		desc_id = "menu_smg_training_beta_desc",
		icon_xy = {
			3,
			3
		}
	}
	self.skills.smg_master = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_smg_master_beta",
		desc_id = "menu_smg_master_beta_desc",
		icon_xy = {
			3,
			3
		}
	}
	self.skills.transporter = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_transporter_beta",
		desc_id = "menu_transporter_beta_desc",
		icon_xy = {
			4,
			3
		}
	}
	self.skills.cat_burglar = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_cat_burglar_beta",
		desc_id = "menu_cat_burglar_beta_desc",
		icon_xy = {
			0,
			4
		}
	}
	self.skills.chameleon = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_chameleon_beta",
		desc_id = "menu_chameleon_beta_desc",
		icon_xy = {
			6,
			10
		}
	}
	self.skills.cleaner = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_cleaner_beta",
		desc_id = "menu_cleaner_beta_desc",
		icon_xy = {
			7,
			2
		}
	}
	self.skills.ecm_2x = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_ecm_2x_beta",
		desc_id = "menu_ecm_2x_beta_desc",
		icon_xy = {
			3,
			4
		}
	}
	self.skills.assassin = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_assassin_beta",
		desc_id = "menu_assassin_beta_desc",
		icon_xy = {
			0,
			3
		}
	}
	self.skills.martial_arts = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_martial_arts_beta",
		desc_id = "menu_martial_arts_beta_desc",
		icon_xy = {
			11,
			7
		}
	}
	self.skills.nine_lives = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_nine_lives_beta",
		desc_id = "menu_nine_lives_beta_desc",
		icon_xy = {
			5,
			2
		}
	}
	self.skills.ecm_feedback = {
		{
			upgrades = {},
			cost = self.costs.hightier
		},
		{
			upgrades = {},
			cost = self.costs.hightierpro
		},
		name_id = "menu_ecm_feedback_beta",
		desc_id = "menu_ecm_feedback_beta_desc",
		icon_xy = {
			6,
			2
		}
	}
	self.skills.moving_target = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {},
			cost = self.costs.hightierpro
		},
		name_id = "menu_moving_target_beta",
		desc_id = "menu_moving_target_beta_desc",
		icon_xy = {
			2,
			4
		}
	}
	self.skills.scavenger = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_scavenger_beta",
		desc_id = "menu_scavenger_beta_desc",
		icon_xy = {
			10,
			9
		}
	}
	self.skills.silence_expert = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_silence_expert_beta",
		desc_id = "menu_silence_expert_beta_desc",
		icon_xy = {
			4,
			4
		}
	}
	self.skills.good_luck_charm = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {},
			cost = self.costs.hightierpro
		},
		name_id = "menu_good_luck_charm_beta",
		desc_id = "menu_good_luck_charm_beta_desc",
		icon_xy = {
			4,
			2
		}
	}
	self.skills.disguise = {
		{
			cost = self.costs.hightier
		},
		{
			cost = self.costs.hightierpro
		},
		name_id = "menu_disguise_beta",
		desc_id = "menu_disguise_beta_desc",
		icon_xy = {
			6,
			4
		}
	}
	self.skills.magic_touch = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {},
			cost = self.costs.hightierpro
		},
		name_id = "menu_magic_touch_beta",
		desc_id = "menu_magic_touch_beta_desc",
		icon_xy = {
			5,
			4
		}
	}
	self.skills.freedom_call = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_freedom_call_beta",
		desc_id = "menu_freedom_call_beta_desc",
		icon_xy = {
			5,
			10
		}
	}
	self.skills.hidden_blade = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {},
			cost = self.costs.pro
		},
		name_id = "menu_hidden_blade_beta",
		desc_id = "menu_hidden_blade_beta_desc",
		icon_xy = {
			4,
			10
		}
	}
	self.skills.tea_time = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_tea_time_beta",
		desc_id = "menu_tea_time_beta_desc",
		icon_xy = {
			1,
			11
		}
	}
	self.skills.awareness = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_awareness_beta",
		desc_id = "menu_awareness_beta_desc",
		icon_xy = {
			10,
			6
		}
	}
	self.skills.alpha_dog = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {},
			cost = self.costs.pro
		},
		name_id = "menu_alpha_dog_beta",
		desc_id = "menu_alpha_dog_beta_desc",
		icon_xy = {
			0,
			11
		}
	}
	self.skills.tea_cookies = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_tea_cookies_beta",
		desc_id = "menu_tea_cookies_beta_desc",
		icon_xy = {
			2,
			11
		}
	}
	self.skills.cell_mates = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_cell_mates_beta",
		desc_id = "menu_cell_mates_beta_desc",
		icon_xy = {
			4,
			11
		}
	}
	self.skills.thug_life = {
		{
			upgrades = {},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_thug_life_beta",
		desc_id = "menu_thug_life_beta_desc",
		icon_xy = {
			3,
			12
		}
	}
	self.skills.thick_skin = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_thick_skin_beta",
		desc_id = "menu_thick_skin_beta_desc",
		icon_xy = {
			10,
			7
		}
	}
	self.skills.backstab = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_backstab_beta",
		desc_id = "menu_backstab_beta_desc",
		icon_xy = {
			0,
			12
		}
	}
	self.skills.drop_soap = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_drop_soap_beta",
		desc_id = "menu_drop_soap_beta_desc",
		icon_xy = {
			4,
			12
		}
	}
	self.skills.second_chances = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_second_chances_beta",
		desc_id = "menu_second_chances_beta_desc",
		icon_xy = {
			10,
			4
		}
	}
	self.skills.trigger_happy = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_trigger_happy_beta",
		desc_id = "menu_trigger_happy_beta_desc",
		icon_xy = {
			11,
			2
		}
	}
	self.skills.perseverance = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_perseverance_beta",
		desc_id = "menu_perseverance_beta_desc",
		icon_xy = {
			5,
			12
		}
	}
	self.skills.jail_workout = {
		{
			upgrades = {
			},
			cost = self.costs.default
		},
		{
			upgrades = {
			},
			cost = self.costs.pro
		},
		name_id = "menu_jail_workout_beta",
		desc_id = "menu_jail_workout_beta_desc",
		icon_xy = {
			5,
			3
		}
	}
	self.skills.akimbo = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_akimbo_skill_beta",
		desc_id = "menu_akimbo_skill_beta_desc",
		icon_xy = {
			3,
			11
		}
	}
	self.skills.jail_diet = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_jail_diet_beta",
		desc_id = "menu_jail_diet_beta_desc",
		icon_xy = {
			1,
			12
		}
	}
	self.skills.prison_wife = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_prison_wife_beta",
		desc_id = "menu_prison_wife_beta_desc",
		icon_xy = {
			6,
			11
		}
	}
	self.skills.stable_shot = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_stable_shot_beta",
		desc_id = "menu_stable_shot_beta_desc",
		icon_xy = {
			0,
			5
		}
	}
	self.skills.hitman = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_spotter_teamwork_beta",
		desc_id = "menu_spotter_teamwork_beta_desc",
		icon_xy = {
			8,
			2
		}
	}
	self.skills.spotter_teamwork = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_single_shot_ammo_return_beta",
		desc_id = "menu_single_shot_ammo_return_beta_desc",
		icon_xy = {
			8,
			4
		}
	}
	self.skills.speedy_reload = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_speedy_reload_beta",
		desc_id = "menu_speedy_reload_beta_desc",
		icon_xy = {
			8,
			3
		}
	}
	self.skills.far_away = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_far_away_beta",
		desc_id = "menu_far_away_beta_desc",
		icon_xy = {
			8,
			5
		}
	}
	self.skills.close_by = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_close_by_beta",
		desc_id = "menu_close_by_beta_desc",
		icon_xy = {
			8,
			6
		}
	}
	self.skills.scavenging = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_scavenging_beta",
		desc_id = "menu_scavenging_beta_desc",
		icon_xy = {
			8,
			11
		}
	}
	self.skills.defense_up = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_defense_up_beta",
		desc_id = "menu_defense_up_beta_desc",
		icon_xy = {
			9,
			0
		}
	}
	self.skills.eco_sentry = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_eco_sentry_beta",
		desc_id = "menu_eco_sentry_beta_desc",
		icon_xy = {
			9,
			2
		}
	}
	self.skills.engineering = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_engineering_beta",
		desc_id = "menu_engineering_beta_desc",
		icon_xy = {
			9,
			3
		}
	}
	self.skills.jack_of_all_trades = {
		{
			upgrades = {

			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_jack_of_all_trades_beta",
		desc_id = "menu_jack_of_all_trades_beta_desc",
		icon_xy = {
			9,
			4
		}
	}
	self.skills.tower_defense = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_tower_defense_beta",
		desc_id = "menu_tower_defense_beta_desc",
		icon_xy = {
			9,
			5
		}
	}
	self.skills.kick_starter = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_kick_starter_beta",
		desc_id = "menu_kick_starter_beta_desc",
		icon_xy = {
			9,
			8
		}
	}
	self.skills.fire_trap = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_fire_trap_beta",
		desc_id = "menu_fire_trap_beta_desc",
		icon_xy = {
			9,
			9
		}
	}
	self.skills.fast_fire = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_fast_fire_beta",
		desc_id = "menu_fast_fire_beta_desc",
		icon_xy = {
			10,
			2
		}
	}
	self.skills.steady_grip = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_steady_grip_beta",
		desc_id = "menu_steady_grip_beta_desc",
		icon_xy = {
			9,
			11
		}
	}
	self.skills.fire_control = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_fire_control_beta",
		desc_id = "menu_fire_control_beta_desc",
		icon_xy = {
			9,
			10
		}
	}
	self.skills.shock_and_awe = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_shock_and_awe_beta",
		desc_id = "menu_shock_and_awe_beta_desc",
		icon_xy = {
			10,
			0
		}
	}
	self.skills.heavy_impact = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_heavy_impact_beta",
		desc_id = "menu_heavy_impact_beta_desc",
		icon_xy = {
			10,
			1
		}
	}
	self.skills.body_expertise = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_body_expertise_beta",
		desc_id = "menu_body_expertise_beta_desc",
		icon_xy = {
			10,
			3
		}
	}
	self.skills.unseen_strike = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_unseen_strike_beta",
		desc_id = "menu_unseen_strike_beta_desc",
		icon_xy = {
			10,
			11
		}
	}
	self.skills.dire_need = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_dire_need_beta",
		desc_id = "menu_dire_need_beta_desc",
		icon_xy = {
			10,
			8
		}
	}
	self.skills.up_you_go = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_up_you_go_beta",
		desc_id = "menu_up_you_go_beta_desc",
		icon_xy = {
			11,
			4
		}
	}
	self.skills.running_from_death = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_running_from_death_beta",
		desc_id = "menu_running_from_death_beta_desc",
		icon_xy = {
			11,
			3
		}
	}
	self.skills.dance_instructor = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_dance_instructor",
		desc_id = "menu_dance_instructor_desc",
		icon_xy = {
			11,
			0
		}
	}
	self.skills.expert_handling = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_expert_handling",
		desc_id = "menu_expert_handling_desc",
		icon_xy = {
			11,
			1
		}
	}
	self.skills.bloodthirst = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_bloodthirst",
		desc_id = "menu_bloodthirst_desc",
		icon_xy = {
			11,
			6
		}
	}
	self.skills.feign_death = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_feign_death",
		desc_id = "menu_feign_death_desc",
		icon_xy = {
			11,
			5
		}
	}
	self.skills.frenzy = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_frenzy",
		desc_id = "menu_frenzy_desc",
		icon_xy = {
			11,
			8
		}
	}
	self.skills.optic_illusions = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_optic_illusions",
		desc_id = "menu_optic_illusions_desc",
		icon_xy = {
			10,
			10
		}
	}
	self.skills.more_fire_power = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_more_fire_power",
		desc_id = "menu_more_fire_power_desc",
		icon_xy = {
			9,
			7
		}
	}
	self.skills.combat_engineering = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_combat_engineering",
		desc_id = "menu_combat_engineering_desc",
		icon_xy = {
			1,
			5
		}
	}
	self.skills.single_shot_ammo_return = {
		{
			upgrades = {
			},
			cost = self.costs.hightier
		},
		{
			upgrades = {
			},
			cost = self.costs.hightierpro
		},
		name_id = "menu_sniper_graze_damage",
		desc_id = "menu_sniper_graze_damage_desc",
		icon_xy = {
			11,
			9
		}
	}


end